OpenAL on 10.3 / 10.4 / 10.5 / Universal?

Nibbie
Posts: 2
Joined: 2008.12
Post: #1
Hi guys

Just stuck on this OpenAL issue. I'm trying to compile a binary that will run on 10.3, 10.4, and 10.5 using OpenAL for sound.

4 and 5, no problems. But it's no go at all on 10.3. Is there a way to make a binary that will run on them all?

Or is it even possible to still allow the program to run on 10.3, but without sound?

Driving me nuts! Any help would be great!!

Thanks!

Rob.
Quote this message in a reply
Member
Posts: 245
Joined: 2005.11
Post: #2
As far as I remember 10.3 doesn't include OpenAL. That means you'll need to compile your own version and link to that to make it work.
Quote this message in a reply
Member
Posts: 268
Joined: 2005.04
Post: #3
backslash Wrote:As far as I remember 10.3 doesn't include OpenAL. That means you'll need to compile your own version and link to that to make it work.

Correct. You'll need to download the OAL source and compile your own embeddable framework to include with your app for X.2 or X.3.

At this point there's few active users using sub-X.4 systems, so dropping support for those systems isn't a huge deal.
Quote this message in a reply
Nibbie
Posts: 2
Joined: 2008.12
Post: #4
Thanks for the answers, guys.

How do I go about compiling my own embeddable version? I've got hold of the src but still can't get a version to work on 10.3, just 10.4 and 5.

Any advice would be fantastic. From the feedback I've had there's still enough people using 10.3 to make it worthwhile.
Quote this message in a reply
Post Reply